
Base Distribution - Story # 40587

Status: Closed Priority: Should have
Author: Robert Lemke Category: Content Editing
Created: 2012-09-04 Assigned To:
Updated: 2012-10-04 Due date:
Subject: [Page Tree] As a Content Manager I want to create a new page
Description

Subtasks:
Task # 40736: Adding pages with action bar Closed
Task # 40612: Remove add a new page by dragging Closed
Related issues:
related to Base Distribution - Story # 40588: [Page Tree] As a Content Manage... Closed

History
#1 - 2012-09-04 11:56 - Robert Lemke
- Target version set to Sprint 10 (1.0 TP1)
- Position deleted (1)
- Position set to 3

#2 - 2012-09-04 12:06 - Robert Lemke
- Category set to Content Editing

The procedure to create a new page through the page tree (in Content Editing View) changes: instead of using drag and drop to pull a new page into
the page tree, we use a select-and-create approach. The workflow is as follows:

    -  open the page tree
    -  the current page is selected
    -  on top of the page tree there is a toolbar with action icons (aligned to right). At this stage we only have one action icon, namely a plus sign
    -  click the plus icon
    -  a new page is created in the page tree below the current page (the new page is a sub page of the current page)
    -  if pages already existed below the current page, the new page is set to be the last of these sub pages
    -  if the level below the current page has been collapsed, it now is expanded
    -  the new page is in edit mode: the cursors blinks and the user can now enter a title
    -  only after the edit field looses context (that is, by pressing enter or clicking elsewhere), the new page is actually created

Further notes:

    -  if a new page has just been created but is still in edit mode, it is not the "current" page yet - that happens after the new page has been created
(see above)

Multiple pages:

    -  if a new page is in edit mode and has not been created, another page can be created by clicking the plus sign again
    -  in that case, the new page (#1) looses focus and another page (#2) is created below page #1 because the parent page stays the "current" page

Note: this pretty much behaves like the folder creation in the web interface of iCloud Mail

#3 - 2012-09-07 09:23 - Sebastian Kurfuerst
- Position deleted (7)
- Position set to 7

#4 - 2012-09-07 09:24 - Sebastian Kurfuerst
- Subject changed from As a Content Manager I want to create a new page to [Page Tree] As a Content Manager I want to create a new page
- Position deleted (7)
- Position set to 7

#5 - 2012-09-20 12:11 - Sebastian Kurfuerst
- Status changed from New to Resolved
- Position deleted (18)
- Position set to 18

#6 - 2012-10-04 15:13 - Markus Goldbeck
- Status changed from Resolved to Closed
